pyspark.ml package
==================

ML Pipeline APIs
----------------

.. automodule:: pyspark.ml
    :members:
    :undoc-members:
    :inherited-members:

pyspark.ml.param module
-----------------------

.. automodule:: pyspark.ml.param
    :members:
    :undoc-members:
    :inherited-members:

pyspark.ml.feature module
-------------------------

.. automodule:: pyspark.ml.feature
    :members:
    :undoc-members:
    :inherited-members:

pyspark.ml.classification module
--------------------------------

.. automodule:: pyspark.ml.classification
    :members:
    :undoc-members:
    :inherited-members:

pyspark.ml.clustering module
----------------------------

.. automodule:: pyspark.ml.clustering
    :members:
    :undoc-members:
    :inherited-members:

pyspark.ml.recommendation module
--------------------------------

.. automodule:: pyspark.ml.recommendation
    :members:
    :undoc-members:
    :inherited-members:

pyspark.ml.regression module
----------------------------

.. automodule:: pyspark.ml.regression
    :members:
    :undoc-members:
    :inherited-members:

pyspark.ml.tuning module
------------------------

.. automodule:: pyspark.ml.tuning
    :members:
    :undoc-members:
    :inherited-members:

pyspark.ml.evaluation module
----------------------------

.. automodule:: pyspark.ml.evaluation
    :members:
    :undoc-members:
    :inherited-members:
